#!/usr/bin/env bash

SCRIPT_PATH="$( cd "$(dirname "$0")" ; pwd -P )"

pushd "${SCRIPT_PATH}/.." > /dev/null

echo "Format all files using clang-format"

# We currently don't format test files
find . ! -path "./build/*" ! -path "./test/*" \
    -type f \( -name "*.c" \
    -o -name "*.hpp" \) \
    -exec clang-format \
    -i -style=file {} \;

popd > /dev/null
